#include "includes.h"


extern void delay_nms(unsigned int t);
extern void APT32F102_init(void);

U32_T test_tick = 0;

/***************************************************/
//main
/**************************************************/
int main(void) 
{
	//delay_nms(10000);							//power on delay if needed
	APT32F102_init();							//102 initial
	
	PB_Init();
	
	PWM_Init();
	
	Dbg_Println(DBG_BIT_SYS_STATUS,"MCU Start!");
	
    while(1)
	{
		SYSCON_IWDCNT_Reload(); 				//IWDT Clear

		UART1_TASK();
		
		PB_Task();
    }
}














/******************* (C) COPYRIGHT 2019 APT Chip *****END OF FILE****/


